'use strict';

// https://github.com/primus/primus
var Primus = require('primus');

var primusOptions = {
  port: 8080,
  pathname: '/primus',
  parser: 'JSON',
  transformer: 'websockets',
  iknowhttpsisbetter: true//disables warning when not using HTTPS
};

exports.getPrimusServer = function ( clientLibraryPath ) {
  var primusServer = Primus.createServer(primusOptions);
  primusServer.save(clientLibraryPath);
  return primusServer;
};// end of exports.getPrimusServer